# OpenToonz

[English](../README.md) [日本語](./README_ja.md) 

[![](https://ci.appveyor.com/api/projects/status/oa5l5pc964h8fv49/branch/master?svg=true)](https://ci.appveyor.com/project/opentoonz/opentoonz)
[![](https://travis-ci.org/opentoonz/opentoonz.svg?branch=master)](https://travis-ci.org/opentoonz/opentoonz)
[![](https://github.com/opentoonz/opentoonz/workflows/Build/badge.svg?branch=master)](https://github.com/opentoonz/opentoonz/actions)
[![Translation status](https://hosted.weblate.org/widgets/opentoonz/-/svg-badge.svg)](https://hosted.weblate.org/engage/opentoonz/)

## 关于OpenToonz

OpenToonz 是一个由[DWANGO](http://dwango.co.jp/english/)公开发布的二维动画软件，基于**Toonz Studio 吉卜力版本**， 最早由意大利公司[Digital Video, Inc.](http://www.toonz.com/)开发，并在多年的生产中为[吉卜力工作室](http://www.ghibli.jp/) 定制。

## 系统要求

请参考OpenToonz的官方网站：

<https://opentoonz.github.io/e/index.html>

## 安装

最新的安装包可以从这里下载：

<https://opentoonz.github.io/e/index.html>.

旧版本以及夜间构建版可以从下面的链接下载: <https://github.com/opentoonz/opentoonz/releases>

## 如何在本地构建

- [Windows](./how_to_build_win_chs.md)
- [OS X](./how_to_build_macosx.md)
- [Linux](./how_to_build_linux.md)
- [BSD](./how_to_build_bsd.md)

关于如何构建样式表，请参照[这里](./how_to_stylesheet.md).

不懂开发但仍想帮忙？你可以帮助我们测试拉取请求，详情请查阅[这里](./how_to_test_prs_chs.md)。

## 社区

- 分享使用心得或进行问题排查，请加入 [谷歌OpenToonz用户论坛](https://groups.google.com/forum/#!forum/opentoonz_en)。
- 如果你在问题排查后发现了bug，或者你是个开发者，可以在 [Github issues](https://github.com/opentoonz/opentoonz/issues) 页搜索或发布。

## 许可证

- 对于`thirdparty` 以及`stuff/library/mypaint brushes` 文件夹以外的内容基于Modified BSD License分发。
  - [modified BSD license](../LICENSE.txt).
  - 基于该许可证，该软件可以被自由用于个人或商业目的使用或修改。
- 对于 `thirdparty` 文件夹内的内容：
  - 请参考对应的README或源码中的许可证。
- 对于 `stuff/library/mypaint brushes` 文件夹下的内容：
  - 请查看 `stuff/library/mypaint brushes/Licenses.txt` 的内容。

### 特别感谢

原始程序从Toonz开发而来，这是一个由意大利罗马的公司 Digital Video, S.p.A.所开发的软件。
